// DialogLatLon.cpp : implementation file
//

#include "stdafx.h"
#include "Query.h"
#include "DialogLatLon.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogLatLon dialog


CDialogLatLon::CDialogLatLon(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogLatLon::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogLatLon)
	m_EastLongitude = 0.0;
	m_NorthLatitude = 0.0;
	m_SouthLatitude = 0.0;
	m_WestLongitude = 0.0;
	//}}AFX_DATA_INIT
}


void CDialogLatLon::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogLatLon)
	DDX_Text(pDX, IDC_EDIT_ELON, m_EastLongitude);
	DDV_MinMaxDouble(pDX, m_EastLongitude, -180., 180.);
	DDX_Text(pDX, IDC_EDIT_NLAT, m_NorthLatitude);
	DDV_MinMaxDouble(pDX, m_NorthLatitude, -90., 90.);
	DDX_Text(pDX, IDC_EDIT_SLAT, m_SouthLatitude);
	DDV_MinMaxDouble(pDX, m_SouthLatitude, -90., 90.);
	DDX_Text(pDX, IDC_EDIT_WLON, m_WestLongitude);
	DDV_MinMaxDouble(pDX, m_WestLongitude, -180., 180.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogLatLon, CDialog)
	//{{AFX_MSG_MAP(CDialogLatLon)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogLatLon message handlers
