// schemaView.h : interface of the CSchemaView class
//
/////////////////////////////////////////////////////////////////////////////

class CSchemaView : public CView
{
protected: // create from serialization only
	CSchemaView();
	DECLARE_DYNCREATE(CSchemaView)

// Attributes
public:
	BOOL CopyArrayData(CDaoRecordset& rs, CByteArray& ba, BOOL bToArray);	

	CString GetField1Name();
	CString GetField2Name();
	CString GetField3Name();
	CString GetDefaultTableName();
	CString GetDefaultDBName();
	CSchemaDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSchemaView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSchemaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSchemaView)
	afx_msg void OnSchemaDatabase();
	afx_msg void OnSchemaTable();
	afx_msg void OnSchemaAddrecord();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in schemaView.cpp
inline CSchemaDoc* CSchemaView::GetDocument()
   { return (CSchemaDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
