// extdatView.h : interface of the CExtdatView class
//
/////////////////////////////////////////////////////////////////////////////

class CExtdatView : public CView
{
protected: // create from serialization only
	CExtdatView();
	DECLARE_DYNCREATE(CExtdatView)

// Attributes
public:
	CString GetDefaultDBName();
	CString GetDefaultDirectory();
	CString GetISAMName();
	CString GetFWTextName();
	CString GetCDTextName();

	CExtdatDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExtdatView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CExtdatView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CExtdatView)
	afx_msg void OnExternalLinkDBase();
	afx_msg void OnExternalCDtext();
	afx_msg void OnExternalLinkFWtext();
	afx_msg void OnExternalOpenFWText();
	afx_msg void OnExternalOpenCDText();
	afx_msg void OnExternalOpenDBase();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in extdatView.cpp
inline CExtdatDoc* CExtdatView::GetDocument()
   { return (CExtdatDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
