// QueryView.h : interface of the CQueryView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUERYVIEW_H__47DD6DAC_62DE_11D0_9F76_00AA00680BB3__INCLUDED_)
#define AFX_QUERYVIEW_H__47DD6DAC_62DE_11D0_9F76_00AA00680BB3__INCLUDED_

class CQueryView : public CScrollView
{
protected: // create from serialization only
	CQueryView();
	DECLARE_DYNCREATE(CQueryView)

// Attributes
public:
	CQueryDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQueryView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	CString GetDefaultDBName();
	CDaoDatabase m_db;
	CStringArray m_strings;
	virtual ~CQueryView();
	double m_EastLongitude;
	double m_NorthLatitude;
	double m_SouthLatitude;
	double m_WestLongitude;

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CQueryView)
	afx_msg void OnViewClear();
	afx_msg void OnViewDynamicQuery();
	afx_msg void OnViewStoredQuery();
	afx_msg void OnViewLatlon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in QueryView.cpp
inline CQueryDoc* CQueryView::GetDocument()
   { return (CQueryDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QUERYVIEW_H__47DD6DAC_62DE_11D0_9F76_00AA00680BB3__INCLUDED_)
